require File.dirname(__FILE__) + '/../test_helper'
require 'todo_controller'
require 'todo'

# Re-raise errors caught by the controller.
class TodoController; def rescue_action(e) raise e end; end

class TodoControllerTest < Test::Unit::TestCase
  fixtures :todos

  def setup
    @controller = TodoController.new
    @request, @response = ActionController::TestRequest.new, ActionController::TestResponse.new
  end

  # Replace this with your real tests.
  def test_list
    get :list
    assert_success
    if ENV['AMRITA2_MOCK']
      r = $AMRITA2_MOCK_RESULT
      assert_equal('not done 1', r[:not_done][0][:description])
      assert_equal('Edit', r[:not_done][0][:edit_link])
      assert_equal('/todo/edit/1', r[:not_done][0][:edit_link_attr][:href])
    end
  end
end
