= Using Template Spec 

== Why and When 

Amrita2 needs a Template Spec to compile a HTML template to Ruby
modules. If it was not given, TO will generate a default Spec and use
it for compiling.

When the default Spec is not enough under situations below, you can
give a manually made Spec to TO.

* need to replace attribute
* need to use a different interface for dynamic element
* need to use a HTML template without id attributes
* need to validate HTML templates

And I'm planing to solve performance problems by using Specs later.

== How to use Template Spec

--- include ../sample/spec/spec.rb

== Replacing Attribute of Elements in Template

--- include ../sample/spec/attr.rb

== Using Amrita2 with Template without id attributes

--- include ../sample/spec/matcher.rb

== Using Expand by Member feature

--- include ../sample/spec/member.rb

== Using Tables

== Using <dl>


